org.apache.flume.sink.hdfs

## Class HDFSWritableSerializer

- java.lang.Object
- - org.apache.flume.sink.hdfs.HDFSWritableSerializer

- All Implemented Interfaces:
    SequenceFileSerializer

      public class HDFSWritableSerializer
      extends Object
      implements SequenceFileSerializer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HDFSWritableSerializer.Builder`

    - ### Nested classes/interfaces inherited from interface org.apache.flume.sink.hdfs.SequenceFileSerializer

      `SequenceFileSerializer.Record`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HDFSWritableSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<org.apache.hadoop.io.LongWritable>` | `getKeyClass()`
    `Class<org.apache.hadoop.io.BytesWritable>` | `getValueClass()`
    `Iterable<SequenceFileSerializer.Record>` | `serialize(Event e)` Format the given event into zero, one or more SequenceFile records

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HDFSWritableSerializer

          public HDFSWritableSerializer()

  - ### Method Detail

    - #### getKeyClass

          public Class<org.apache.hadoop.io.LongWritable> getKeyClass()

      Specified by:
        `getKeyClass` in interface `SequenceFileSerializer`

    - #### getValueClass

          public Class<org.apache.hadoop.io.BytesWritable> getValueClass()

      Specified by:
        `getValueClass` in interface `SequenceFileSerializer`

    - #### serialize

          public Iterable<SequenceFileSerializer.Record> serialize(Event e)

      Description copied from interface: `SequenceFileSerializer`
      Format the given event into zero, one or more SequenceFile records
      Specified by:
        `serialize` in interface `SequenceFileSerializer`
      Parameters:
        `e` - event
      Returns:
        a list of records corresponding to the given event

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.